**`Bharat Kumar Reddy Mopuru`[NAME]** -NL- Email : **`bharatmopuru@gmail.com`[EMAILS_EMAIL]** -NL- Ph. #: **`(706)-315-6091`[PHONES_PHONE]** -NL- LinkedIn : https://bharatmopuru/linkedin -NL- **`PROFILE`[WORK_EXPERIENCE_HEADING]** -NL- **`Bharat Kumar Reddy Mopuru`[NAME]** is highly passionate software engineer with experience in wide -NL- breadth of technologies used for building both web applications and big data systems -NL- (particularly real time streaming systems) -NL- **`TECHNICAL SKILLS SUMMARY`[SKILLS_HEADING]** -NL- Languages: Java, Scala, JavaScript -NL- Data Processing: Apache Storm, Apache Spark, Hadoop/MapReduce, Kafka, Kinesis -NL- App Servers & Frameworks: Node.js, Spring MVC -NL- Data Persistence: AWS Aurora (MySQL), Cassandra, Redis, MongoDB, S3, SQL Server, -NL- HIVE -NL- Infrastructure & OS: Amazon AWS (EC2, RDS, Elasticache, DynamoDB, S3, Kinesis, and -NL- others), Mac OS X, Windows -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- • **`Expedia Group`[EMPLOYER_COMPANY_NAME]** **`Sr. SDE`[EMPLOYER_ROLE]** (Sep.2015 - Cur) -NL- Real Time Supplier Domain Event: Event driven real time analytics (150 million -NL- signals a day) to produce near real time availability event for lodging by leveraging -NL- kafka, kafka streams and redis. Business Impact: Lot of saving for Expedia with -NL- commercial unlock for marketing/SEM(Search Engine Marketing). -NL- Lowestprice API Using Real Time Data: Designed and created lowest price API on -NL- top of real time lodging analytics data by leveraging redis, springboot on huge scale. -NL- Business impact: Increased hotel bookings from customers. -NL- Competitive set UI for lodging supply: Leveraged react.js, mongodb and AWS -NL- AuroraDB for creating competitive set UI in lodging supply and delivered the first -NL- iteration successfully. Worked closely with UX and product to deliver the first iteration -NL- successfully. Business impact: Provides more analytics to hotel suppliers. -NL- Expedia Insights: Real Time Market Analytics Engine (Team Member): Real time -NL- analytics engine leveraging Kafka, Storm & Redis to ingest live clickstream data from -NL- Expedia.com and deliver analytics to Expedia’s hotel partners. Data sets are made -NL- available to hoteliers via both live data streams and via a set of JSON API’s that power -NL- the Newsfeed feature of Expedia’s hotel partner web portal. This newsfeed shows a -NL- history of market events (bookings, missed opportunities, etc) and snapshots of market -NL- data (market compressions, searches, views, booking counts, etc) and is designed to -NL- incentivize hotel partners to provide more inventory and better prices to Expedia’s -NL- customers. Business impact: increased direct hotel supplier engagement with -NL- Expedia. -NL- • ProKarma **`SDE`[EMPLOYER_ROLE]** II (Sep.2014 – Sep.2015) -NL- Expedia Contract - Lodging Partner Services Data Team: Design and build big data -NL- analytics systems to extract business value from existing lodging data sets from multiple -NL- internal systems within Expedia’s lodging organization. Technologies: AWS, S3, -NL- DynamoDB, AWS Java SDK, Hadoop, SQL Server. -NL- • **`Syntel Inc`[EMPLOYER_COMPANY_NAME]** **`SDE`[EMPLOYER_ROLE]** (Nov.2009 – Sep.2014) -NL- Home Depot Contract – DB2 Replacement With Active MQ: Replace existing DB2 -NL- database with ActiveMQ for real time transactions by leveraging HIVE, PIG and Hadoop -NL- map reduce. -NL- Wellpoint, Q/Care Production Support: This project involves the monitoring of QCARE -NL- nightly batch cycle where the QCARE Business data will be processed in the batch mode. All -NL- the business data collected during the business daytime will be processed in the nightly batch -NL- run. The online region will be brought down during this batch run and the region has to be -NL- brought up before 6:30 AM EST -NL- which the SLA that SYNTEL has signed with WellPoint. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`Madina Engineering College`[EDUCATION_INSTITUTE]** (India) -NL- **`Bachelors`[EDUCATION_DEGREE]** – **`Electronics and Communication Engineering`[EDUCATION_COURSE]** – 2005 to 2009 -NL- IMMIGRATION STATUS -NL- H1B – I-140 approved -NL- 